Bug 1421269 - Suppress deprecated Fixnum warnings on Ruby 2.4.0
Summary: Suppress deprecated Fixnum warnings on Ruby 2.4.0
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-thread_safe
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josef Strzibny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-10 19:23 UTC by Jun Aruga
Modified: 2017-07-04 09:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-04 09:02:00 UTC
Type: Bug


Attachments (Terms of Use)
Patch for suppress warnings (3.09 KB, patch)
2017-02-10 19:23 UTC, Jun Aruga
no flags Details | Diff
lint.log (713 bytes, text/plain)
2017-02-10 19:24 UTC, Jun Aruga
no flags Details

Description Jun Aruga 2017-02-10 19:23:59 UTC
Created attachment 1249123 [details]
Patch for suppress warnings

Description of problem:

This is fix to suppress below warning for Ruby 2.4.0.

```
+ ruby -Ilib -e 'Dir.glob "./test/test_{array,cache,helper,synchronized_delegator}.rb", &method(:require)'
...
/builddir/build/BUILD/thread_safe-0.3.5/usr/share/gems/gems/thread_safe-0.3.5/lib/thread_safe/cache.rb:155: warning: constant ::Fixnum is deprecated
.
Finished in 1.260279s, 45.2281 runs/s, 1811.5037 assertions/s.
57 runs, 2283 assertions, 0 failures, 0 errors, 0 skips
```

Upstream commit to fix it, is here.
https://github.com/ruby-concurrency/thread_safe/commit/8c929dc


Version-Release number of selected component (if applicable):
rubygem-thread_safe-0.3.5-3

I checked below tests.

- License check: ok
- rpmlint check: See attachment lint.log
- Install check: ok

I like it will be merged.
Thanks.

Comment 1 Jun Aruga 2017-02-10 19:24:20 UTC
Created attachment 1249124 [details]
lint.log

Comment 2 Fedora End Of Life 2017-02-28 11:15:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Jun Aruga 2017-07-04 09:02:00 UTC
Updated to version 0.3.6.
The warning "warning: constant ::Fixnum is deprecated." does not exist any more.


Note You need to log in before you can comment on or make changes to this bug.